Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2019-17008

Published: 4 December 2019

When using nested workers, a use-after-free could occur during worker destruction. This resulted in a potentially exploitable crash. This vulnerability affects Thunderbird < 68.3, Firefox ESR < 68.3, and Firefox < 71.

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine

Priority

Medium

Cvss 3 Severity Score

8.8

Score breakdown

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
bionic
Released (71.0+build5-0ubuntu0.18.04.1)
disco
Released (71.0+build5-0ubuntu0.19.04.1)
eoan
Released (71.0+build5-0ubuntu0.19.10.1)
focal
Released (71.0+build5-0ubuntu1)
trusty Does not exist

upstream
Released (71.0)
groovy
Released (71.0+build5-0ubuntu1)
hirsute
Released (71.0+build5-0ubuntu1)
jammy
Released (71.0+build5-0ubuntu1)
kinetic
Released (71.0+build5-0ubuntu1)
impish
Released (71.0+build5-0ubuntu1)
lunar
Released (71.0+build5-0ubuntu1)
xenial
Released (71.0+build5-0ubuntu0.16.04.1)
mantic
Released (71.0+build5-0ubuntu1)
mozjs38
Launchpad, Ubuntu, Debian
bionic Needs triage

disco Does not exist

eoan Does not exist

focal Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

impish Does not exist

lunar Does not exist

mantic Does not exist

mozjs52
Launchpad, Ubuntu, Debian
bionic Needs triage

disco Ignored
(end of life)
eoan Ignored
(end of life)
focal Needs triage

groovy Ignored
(end of life)
hirsute Does not exist

jammy Does not exist

kinetic Does not exist

impish Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

thunderbird
Launchpad, Ubuntu, Debian
groovy
Released (1:68.3.0+build2-0ubuntu1)
hirsute
Released (1:68.3.0+build2-0ubuntu1)
jammy
Released (1:68.3.0+build2-0ubuntu1)
kinetic
Released (1:68.3.0+build2-0ubuntu1)
bionic
Released (1:68.4.1+build1-0ubuntu0.18.04.1)
disco Ignored
(end of life)
eoan
Released (1:68.4.1+build1-0ubuntu0.19.10.1)
focal
Released (1:68.3.0+build2-0ubuntu1)
impish
Released (1:68.3.0+build2-0ubuntu1)
lunar
Released (1:68.3.0+build2-0ubuntu1)
trusty Does not exist

upstream
Released (68.3)
xenial
Released (1:68.7.0+build1-0ubuntu0.16.04.2)
mantic
Released (1:68.3.0+build2-0ubuntu1)
mozjs60
Launchpad, Ubuntu, Debian
groovy Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

bionic Does not exist

disco Ignored
(end of life)
eoan Ignored
(end of life)
focal Does not exist

impish Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

Severity score breakdown

Parameter Value
Base score 8.8
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H